// Отображатель QPicture
#include "pictureviewer.h"

#include <QtGui>

PictureViewer::PictureViewer(QWidget *pwgt) : QWidget(pwgt), pic(0)
{
	minSize = QSize(20, 20);
}

PictureViewer::PictureViewer(const QPicture &picture, QWidget *pwgt) : QWidget(pwgt)
{
	*pic = picture;
	minSize = pic->boundingRect().size();
}

void PictureViewer::paintEvent(QPaintEvent*)
{
	QPainter painter;
	if (pic){
		painter.begin(this);
		painter.drawPicture(QPoint(0, 0), *pic);
	qDebug() << "PictureViewer::paintEvent...........First..................viewport() =" << painter.viewport();
	qDebug() << "PictureViewer::paintEvent...........First..................  window() =" << painter.window();
	qDebug() << "PictureViewer::paintEvent...........First..................  window() =" << painter.window();
		painter.end();
	}
	painter.begin(this);
	painter.drawLine(QPoint(0, 0), QPoint(15, 15)); // "\"
	painter.drawLine(QPoint(15, 15), QPoint(30, 0));//  / => \/
	qDebug() << "PictureViewer::paintEvent...........Second.................viewport() =" << painter.viewport();
	qDebug() << "PictureViewer::paintEvent...........Second.................  window() =" << painter.window();
	
	painter.end();	
	qDebug() << "PictureViewer::paintEvent..................................    size() =" << size();
	
}

void PictureViewer::resizeEvent(QResizeEvent * event )
{

	qDebug() << "PictureViewer::resizeEvent.................................    size() =" << event->size();
}

void PictureViewer::setPicture(const QPicture &picture)
{
	*pic = picture;
	refrash();
}

void PictureViewer::setPicture(const QString &fileName)
{
	if(!pic){
		pic = new QPicture();
	}
	
	if (!pic->load(fileName)){
		qDebug() << "anable to load picture-file:" << fileName;
		return;
	}
	refrash();
}

void PictureViewer::refrash()
{
	minSize = pic->boundingRect().size();
	qDebug() << "PictureViewer::refrash...........minSize =" << minSize << "    size() =" << size();
	//resize(minSize);
	update();
	updateGeometry();
}

QSize PictureViewer::minimumSizeHint() const
{
	qDebug() << "PictureViewer::minimumSizeHint().minSize =" << minSize << "    size() =" << size();
	return minSize;

}

QSize PictureViewer::sizeHint() const
{
	qDebug() << "PictureViewer::sizeHint()........minSize =" << minSize << "    size() =" << size();
	return minSize;

}
