#ifndef _WINDOW_H_
#define _WINDOW_H_

#include "pictureviewer.h"

#include <QtGui>

class Window : public QWidget {
Q_OBJECT
public:
    Window(QWidget* pwgt = 0) : QWidget(pwgt)
	{
		lastPath = QString("./");
		
		btn = new QPushButton(tr("Загрузить"));
		viewer = new PictureViewer(this);
		viewer->setAutoFillBackground(true);
		QPalette p = viewer->palette();
		p.setColor(QPalette::Window, Qt::cyan);
		viewer->setPalette(p);
		
		QVBoxLayout *mainLayout = new QVBoxLayout;
		
		//setMinimumSize(200, 200);
		mainLayout->addWidget(btn);
		mainLayout->addWidget(viewer);
		setLayout(mainLayout);
		connect(btn, SIGNAL(clicked()),
				this, SLOT(open()));
	}
	
public slots:	
	void open()
	{
		QString fileName = QFileDialog::getOpenFileName(this,
														tr("Открыть файл"),
														lastPath,
														tr("Все файлы (*.*)"));
		
		if(!fileName.isEmpty()){
			qDebug() << "-------------------------";
			viewer->setPicture(fileName);
			lastPath = QFileInfo(fileName).absolutePath();
		}
	}

private:
	QPushButton		*btn;
	PictureViewer	*viewer;
	QString			lastPath;
};

#endif  //_WINDOW_H_
